Loading...
Searching...
No Matches
bellman_ford.h File Reference
Algorithms » Shortest Path Algorithms
`#include <lemon/list_graph.h>`
`#include <lemon/bits/path_dump.h>`
`#include <lemon/core.h>`
`#include <lemon/error.h>`
`#include <lemon/maps.h>`
`#include <lemon/path.h>`
`#include <limits>`

## Classes

struct | BellmanFordDefaultOperationTraits< V, has_inf >
| Default OperationTraits for the BellmanFord algorithm class. More...
struct | BellmanFordDefaultTraits< GR, LEN >
| Default traits class of BellmanFord class. More...
class | BellmanFord< GR, LEN, TR >
| BellmanFord algorithm class. More...
struct | BellmanFord< GR, LEN, TR >::SetPredMap< T >
| Named parameter for setting `PredMap` type. More...
struct | BellmanFord< GR, LEN, TR >::SetDistMap< T >
| Named parameter for setting `DistMap` type. More...
struct | BellmanFord< GR, LEN, TR >::SetOperationTraits< T >
| Named parameter for setting `OperationTraits` type. More...
class | BellmanFord< GR, LEN, TR >::ActiveIt
| LEMON iterator for getting the active nodes. More...
struct | BellmanFordWizardDefaultTraits< GR, LEN >
| Default traits class of bellmanFord() function. More...
class | BellmanFordWizardBase< GR, LEN >
| Default traits class used by BellmanFordWizard. More...
class | BellmanFordWizard< TR >
| Auxiliary class for the function-type interface of the Bellman-Ford algorithm. More...

## Namespaces

namespace | lemon
| The namespace of LEMON.

## Functions

template<typename GR, typename LEN>
BellmanFordWizard< BellmanFordWizardBase< GR, LEN > > | bellmanFord (const GR &digraph, const LEN &length)
| Function type interface for the Bellman-Ford algorithm.